Bug 735848 - SELinux is preventing /lib/systemd/systemd-logind from 'setattr' accesses on the chr_file rfkill.
Summary: SELinux is preventing /lib/systemd/systemd-logind from 'setattr' accesses on ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:93baba39a598bf0e82f83d0056d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-05 17:15 UTC by Mads Kiilerich
Modified: 2011-09-13 06:08 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.10.0-25.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-13 06:08:24 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 2011-09-05 17:15:34 UTC
abrt version: 2.0.5
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.1.0-0.rc4.git0.0.fc16.x86_64
reason:         SELinux is preventing /lib/systemd/systemd-logind from 'setattr' accesses on the chr_file rfkill.
time:           Mon Sep  5 19:15:07 2011

description:
:SELinux is preventing /lib/systemd/systemd-logind from 'setattr' accesses on the chr_file rfkill.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that systemd-logind should be allowed setattr access on the rfkill chr_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep systemd-logind /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:systemd_logind_t:s0
:Target Context                system_u:object_r:wireless_device_t:s0
:Target Objects                rfkill [ chr_file ]
:Source                        systemd-logind
:Source Path                   /lib/systemd/systemd-logind
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           systemd-35-1.fc16
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-21.fc16
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.1.0-0.rc4.git0.0.fc16.x86_64 #1 SMP
:                              Tue Aug 30 00:00:26 UTC 2011 x86_64 x86_64
:Alert Count                   1
:First Seen                    Mon 05 Sep 2011 07:14:06 PM CEST
:Last Seen                     Mon 05 Sep 2011 07:14:06 PM CEST
:Local ID                      b83a442d-45a3-41d3-9643-28cf04d66c15
:
:Raw Audit Messages
:type=AVC msg=audit(1315242846.752:62): avc:  denied  { setattr } for  pid=997 comm="systemd-logind" name="rfkill" dev=devtmpfs ino=12422 scontext=system_u:system_r:systemd_logind_t:s0 tcontext=system_u:object_r:wireless_device_t:s0 tclass=chr_file
:
:
:type=SYSCALL msg=audit(1315242846.752:62): arch=x86_64 syscall=setxattr success=yes exit=0 a0=6a6c80 a1=3463805d2b a2=6a70f0 a3=2c items=0 ppid=1 pid=997 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=systemd-logind exe=/lib/systemd/systemd-logind subj=system_u:system_r:systemd_logind_t:s0 key=(null)
:
:Hash: systemd-logind,systemd_logind_t,wireless_device_t,chr_file,setattr
:
:audit2allow
:
:#============= systemd_logind_t ==============
:allow systemd_logind_t wireless_device_t:chr_file setattr;
:
:audit2allow -R
:
:#============= systemd_logind_t ==============
:allow systemd_logind_t wireless_device_t:chr_file setattr;
:

Comment 1 Miroslav Grepl 2011-09-06 06:34:33 UTC
Fixed in selinux-policy-3.10.0-24.fc16

Comment 2 Fedora Update System 2011-09-08 08:05:08 UTC
selinux-policy-3.10.0-25.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-25.fc16

Comment 3 Fedora Update System 2011-09-08 20:51:27 UTC
Package selinux-policy-3.10.0-25.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-25.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-25.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-09-13 06:07:50 UTC
selinux-policy-3.10.0-25.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.